#!/bin/bash
_WPpath="/opt/WateringPi"

echo "move installation files"
_FILESCOUNTER=`cd $_WPpath/installation_files/ &&  ls * 2>&1 | grep -v cannot | wc | awk '{ print $1 }'`
if [ $_FILESCOUNTER != "0" ]; then
	for _FILENAME in $(ls -d $_WPpath/installation_files/* | xargs -n 1 basename);
	do
	# build filename
	_TARGET=`echo $_FILENAME | sed 's/_/\//g' | sed 's/wpa\/supplicant/wpa_supplicant/g'`
	# move files
	echo " - $_TARGET"
	mv $_WPpath/installation_files/$_FILENAME /$_TARGET
	done
fi

# Gen SSL cert und config for Apache2
echo "SSL Cert für redirect generieren"
mkdir -p /etc/ssl
openssl req -nodes -new -x509 -keyout /etc/ssl/server.key -out /etc/ssl/server.cert -subj "/C=DE/ST=Berlin/L=Berlin/O=BSOSP/OU=Dev/CN=wateringpi.box/emailAddress=info@bsosp.de" && cat /etc/ssl/server.cert /etc/ssl/server.key > /etc/ssl/server.pem
echo "enable Apache2 Mod SSL"
a2enmod ssl &>/dev/null
echo "enable Apache2 WaterinPi Site"
a2dissite 000-default.conf &>/dev/null
a2ensite WateringPi.conf &>/dev/null

echo "enable autohotspot on startup"
systemctl enable autohotspot.service &>/dev/null

echo "enable WateringPi on startup"
systemctl enable WateringPi.service &>/dev/null

# cleanup
echo "remove installation installation_files"
rm -rf $_WPpath/installation_files $_WPpath/install.sh

# set rights
echo "set rights"
chmod -R a+rx $_WPpath/script/* $_WPpath/bin/* $_WPpath/config-templates/* /usr/bin/autohotspot
chown -R www-data:www-data $_WPpath/*

# finish
echo ""
echo "please reboot now"
